aboutsummaryrefslogtreecommitdiff
path: root/test/_global
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-24 00:23:21 +0300
committerGitHub <noreply@github.com>2022-08-24 00:23:21 +0300
commitf82307ad60514d1e912a9aa2b64204721fe955eb (patch)
treebc1799743ef7620c3e460d54f77c1fac3003fd4c /test/_global
parent84f4996643b84c6f3dcd5c3edc72ae176dceaf65 (diff)
test updates to adopt https://github.com/devcontainers/cli/pull/124 (#114)
* test updates to adopt https://github.com/devcontainers/cli/pull/124 * remove accidental tgz check in * typo in option * typo in python install script on dotnet6/jammy branch * no scenarios * code review and test name * Delete install_os_provided_python.sh
Diffstat (limited to 'test/_global')
-rw-r--r--test/_global/all_the_clis.sh14
-rw-r--r--test/_global/node_java_rust.sh14
-rw-r--r--test/_global/scenarios.json18
3 files changed, 46 insertions, 0 deletions
diff --git a/test/_global/all_the_clis.sh b/test/_global/all_the_clis.sh
new file mode 100644
index 0000000..71171c1
--- /dev/null
+++ b/test/_global/all_the_clis.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "check for aws" aws --version
+check "check for gh" gh --version
+check "check for azure" az --version
+
+# Report result
+reportResults \ No newline at end of file
diff --git a/test/_global/node_java_rust.sh b/test/_global/node_java_rust.sh
new file mode 100644
index 0000000..5d05729
--- /dev/null
+++ b/test/_global/node_java_rust.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "check for node" node --version
+check "check for java" java --version
+check "check for rust" rustc --version
+
+# Report result
+reportResults \ No newline at end of file
diff --git a/test/_global/scenarios.json b/test/_global/scenarios.json
new file mode 100644
index 0000000..2228c7d
--- /dev/null
+++ b/test/_global/scenarios.json
@@ -0,0 +1,18 @@
+{
+ "all_the_clis": {
+ "image": "ubuntu:focal",
+ "features": {
+ "aws-cli": {},
+ "azure-cli": {},
+ "github-cli": {}
+ }
+ },
+ "node_java_rust": {
+ "image": "ubuntu:focal",
+ "features": {
+ "node": {},
+ "java": {},
+ "rust": {}
+ }
+ }
+} \ No newline at end of file